Activity Analysis Report Job ControllerΒΆ
Get Activity Analysis Report Job By IDΒΆ
HTTP Request
GET /api/v1/activity_analysis_reports/jobs/{id}
π Description: Retrieves detailed activity analysis reports for a specific job identified by the provided ID, facilitating insights into lease and contract-related financial obligations and accounting entries within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": {
3 "name": "OK",
4 "captionKey": "enum.responseCode.ok",
5 "caption": "OK"
6 },
7 "errors": {
8 "all": []
9 },
10 "object": {
11 "id": 10000001,
12 "taskCount": 100,
13 "failedTaskCount": 100,
14 "doneTaskCount": 100,
15 "inProgressTaskCount": 100,
16 "cancelledTaskCount": 100,
17 "errorMessage": "sample_errorMessage",
18 "executor": {
19 "name": "MANUAL",
20 "captionKey": "enum.batchJobExecutor.manual",
21 "caption": "Manual"
22 },
23 "scheduleJobId": 10000001,
24 "batchSize": 1000,
25 "totalObjectCount": 100,
26 "profileId": 10000001,
27 "readOnly": false,
28 "status": {
29 "name": "PROCESSING",
30 "captionKey": "enum.batchJobStatus.processing",
31 "caption": "Processing"
32 },
33 "fileStorageId": "sample_fileStorageId",
34 "generatingReport": false,
35 "startedGeneratingReportAt": "2025-01-01T10:00:00Z",
36 "finishedGeneratingReportAt": "2025-01-01T10:00:00Z",
37 "reportType": {
38 "name": "BY_AMOUNT",
39 "captionKey": "enum.byType.byAmount",
40 "caption": "By Amount"
41 },
42 "input": {
43 "id": 10000001,
44 "activationGroupStatus": {
45 "name": "AG_ACTIVE",
46 "captionKey": "enum.entityStatus.agActive",
47 "caption": "Active"
48 },
49 "internalAssetClass": {
50 "id": 10000001,
51 "displayId": "IAC-001",
52 "status": {
53 "name": "ACTIVE",
54 "captionKey": "enum.objectStatus.active",
55 "active": true,
56 "caption": "Active"
57 },
58 "name": "Machinery and Equipment",
59 "assetClassType": "PROPERTY",
60 "infiniteUsefulLife": false
61 },
62 "fromYear": 100,
63 "fromPeriod": {
64 "id": 10000001,
65 "displayId": "FP-2024-Q1",
66 "status": {
67 "name": "ACTIVE",
68 "captionKey": "enum.objectStatus.active",
69 "active": true,
70 "caption": "Active"
71 },
72 "day": 15,
73 "year": 2024,
74 "month": 3,
75 "postingPeriod": 3,
76 "yearShift": 0
77 },
78 "toYear": 100,
79 "toPeriod": {
80 "id": 10000001,
81 "displayId": "FP-2024-Q1",
82 "status": {
83 "name": "ACTIVE",
84 "captionKey": "enum.objectStatus.active",
85 "active": true,
86 "caption": "Active"
87 },
88 "day": 15,
89 "year": 2024,
90 "month": 3,
91 "postingPeriod": 3,
92 "yearShift": 0
93 },
94 "fromDate": "2025-01-01",
95 "toDate": "2025-01-01",
96 "fromDateType": "USER_DEFINED",
97 "toDateType": "USER_DEFINED",
98 "accountingStandardType": {
99 "name": "GAAP",
100 "captionKey": "enum.accountingStandard.gaap",
101 "caption": "GAAP"
102 },
103 "leaseClassifications": {
104 "name": "FINANCE",
105 "captionKey": "enum.leaseClassificationType.finance",
106 "caption": "Finance Lease"
107 },
108 "leaseType": {
109 "name": "LEASE_CONTRACT_FIX",
110 "captionKey": "enum.leaseType.fix",
111 "principalPositionType": "LESSEE",
112 "caption": "Fixed Lease Contract"
113 },
114 "partner": {
115 "id": 10000012,
116 "displayId": "0000100003",
117 "status": {
118 "name": "ACTIVE",
119 "captionKey": "enum.objectStatus.active",
120 "active": true,
121 "caption": "Active"
122 },
123 "name": "TEST VENDOR GB",
124 "erpSystemDisplayId": "FINQ8S-300"
125 },
126 "listObjectType": {
127 "name": "CONTRACT",
128 "captionKey": "enum.listObjectType.contract",
129 "caption": "Contract"
130 },
131 "objectsList": [],
132 "migratedFilterType": {
133 "name": "ALL",
134 "captionKey": "enum.migratedFilterType.all",
135 "caption": "All"
136 }
137 },
138 "filter": {
139 "id": 10000001,
140 "profileId": 10000001,
141 "name": "Sample Name",
142 "principalPositionType": {
143 "name": "LESSEE",
144 "captionKey": "enum.principalpositiontype.lessee",
145 "caption": "Lessee"
146 },
147 "calendarType": {
148 "name": "_360",
149 "captionKey": "enum.calendarType.360",
150 "caption": "360 Convention"
151 },
152 "fiscalYearVariant": {
153 "id": "string",
154 "displayId": "Euro"
155 },
156 "objectHierarchy": {
157 "erpSystemFilterType": {
158 "name": "ALL",
159 "captionKey": "enum.filterType.all",
160 "caption": "All"
161 },
162 "erpSystems": [],
163 "leaseAreaFilterType": {
164 "name": "ALL",
165 "captionKey": "enum.filterType.all",
166 "caption": "All"
167 },
168 "leaseAreas": [],
169 "businessUnitFilterType": {
170 "name": "ALL",
171 "captionKey": "enum.filterType.all",
172 "caption": "All"
173 },
174 "businessUnits": [],
175 "companyFilterType": {
176 "name": "ALL",
177 "captionKey": "enum.filterType.all",
178 "caption": "All"
179 },
180 "companies": [],
181 "leaseDepartmentFilterType": {
182 "name": "ALL",
183 "captionKey": "enum.filterType.all",
184 "caption": "All"
185 },
186 "leaseDepartments": [],
187 "leaseGroupFilterType": {
188 "name": "ALL",
189 "captionKey": "enum.filterType.all",
190 "caption": "All"
191 },
192 "leaseGroups": [],
193 "costCenterFilterType": {
194 "name": "ALL",
195 "captionKey": "enum.filterType.all",
196 "caption": "All"
197 },
198 "costCenters": [],
199 "profitCenterFilterType": {
200 "name": "ALL",
201 "captionKey": "enum.filterType.all",
202 "caption": "All"
203 },
204 "profitCenters": [],
205 "wbsFilterType": {
206 "name": "ALL",
207 "captionKey": "enum.filterType.all",
208 "caption": "All"
209 },
210 "wbses": []
211 }
212 },
213 "tasks": [],
214 "docStoreId": 10000001
215 }
216}
Update Activity Analysis Report JobΒΆ
HTTP Request
PUT /api/v1/activity_analysis_reports/jobs/{id}
π Description: Updates the specified activity analysis report job within the Nakisa Lease Accounting Suite, allowing users to modify details related to lease contracts and financial obligations for accurate accounting entries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
Unique identifier for the resource |
body |
body |
false |
Request body containing the updated activity analysis report data, including lease and contract details, financial obligations, and associated accounting entries. |
Body Parameters
1{
2 "id": 10000001,
3 "taskCount": 100,
4 "failedTaskCount": 100,
5 "doneTaskCount": 100,
6 "inProgressTaskCount": 100,
7 "cancelledTaskCount": 100,
8 "errorMessage": "sample_errorMessage",
9 "executor": {
10 "name": "MANUAL",
11 "captionKey": "enum.batchJobExecutor.manual",
12 "caption": "Manual"
13 },
14 "scheduleJobId": 10000001,
15 "batchSize": 1000,
16 "totalObjectCount": 100,
17 "profileId": 10000001,
18 "readOnly": false,
19 "status": {
20 "name": "PROCESSING",
21 "captionKey": "enum.batchJobStatus.processing",
22 "caption": "Processing"
23 },
24 "fileStorageId": "sample_fileStorageId",
25 "generatingReport": false,
26 "startedGeneratingReportAt": "2025-01-01T10:00:00Z",
27 "finishedGeneratingReportAt": "2025-01-01T10:00:00Z",
28 "reportType": {
29 "name": "BY_AMOUNT",
30 "captionKey": "enum.byType.byAmount",
31 "caption": "By Amount"
32 },
33 "input": {
34 "id": 10000001,
35 "activationGroupStatus": {
36 "name": "AG_ACTIVE",
37 "captionKey": "enum.entityStatus.agActive",
38 "caption": "Active"
39 },
40 "internalAssetClass": {
41 "id": 10000001,
42 "displayId": "IAC-001",
43 "status": {
44 "name": "ACTIVE",
45 "captionKey": "enum.objectStatus.active",
46 "active": true,
47 "caption": "Active"
48 },
49 "name": "Machinery and Equipment",
50 "assetClassType": "PROPERTY",
51 "infiniteUsefulLife": false
52 },
53 "fromYear": 100,
54 "fromPeriod": {
55 "id": 10000001,
56 "displayId": "FP-2024-Q1",
57 "status": {
58 "name": "ACTIVE",
59 "captionKey": "enum.objectStatus.active",
60 "active": true,
61 "caption": "Active"
62 },
63 "day": 15,
64 "year": 2024,
65 "month": 3,
66 "postingPeriod": 3,
67 "yearShift": 0
68 },
69 "toYear": 100,
70 "toPeriod": {
71 "id": 10000001,
72 "displayId": "FP-2024-Q1",
73 "status": {
74 "name": "ACTIVE",
75 "captionKey": "enum.objectStatus.active",
76 "active": true,
77 "caption": "Active"
78 },
79 "day": 15,
80 "year": 2024,
81 "month": 3,
82 "postingPeriod": 3,
83 "yearShift": 0
84 },
85 "fromDate": "2025-01-01",
86 "toDate": "2025-01-01",
87 "fromDateType": "USER_DEFINED",
88 "toDateType": "USER_DEFINED",
89 "accountingStandardType": {
90 "name": "GAAP",
91 "captionKey": "enum.accountingStandard.gaap",
92 "caption": "GAAP"
93 },
94 "leaseClassifications": {
95 "name": "FINANCE",
96 "captionKey": "enum.leaseClassificationType.finance",
97 "caption": "Finance Lease"
98 },
99 "leaseType": {
100 "name": "LEASE_CONTRACT_FIX",
101 "captionKey": "enum.leaseType.fix",
102 "principalPositionType": "LESSEE",
103 "caption": "Fixed Lease Contract"
104 },
105 "partner": {
106 "id": 10000012,
107 "displayId": "0000100003",
108 "status": {
109 "name": "ACTIVE",
110 "captionKey": "enum.objectStatus.active",
111 "active": true,
112 "caption": "Active"
113 },
114 "name": "TEST VENDOR GB",
115 "erpSystemDisplayId": "FINQ8S-300"
116 },
117 "listObjectType": {
118 "name": "CONTRACT",
119 "captionKey": "enum.listObjectType.contract",
120 "caption": "Contract"
121 },
122 "objectsList": [],
123 "migratedFilterType": {
124 "name": "ALL",
125 "captionKey": "enum.migratedFilterType.all",
126 "caption": "All"
127 }
128 },
129 "filter": {
130 "id": 10000001,
131 "profileId": 10000001,
132 "name": "Sample Name",
133 "principalPositionType": {
134 "name": "LESSEE",
135 "captionKey": "enum.principalpositiontype.lessee",
136 "caption": "Lessee"
137 },
138 "calendarType": {
139 "name": "_360",
140 "captionKey": "enum.calendarType.360",
141 "caption": "360 Convention"
142 },
143 "fiscalYearVariant": {
144 "id": "string",
145 "displayId": "Euro"
146 },
147 "objectHierarchy": {
148 "erpSystemFilterType": {
149 "name": "ALL",
150 "captionKey": "enum.filterType.all",
151 "caption": "All"
152 },
153 "erpSystems": [],
154 "leaseAreaFilterType": {
155 "name": "ALL",
156 "captionKey": "enum.filterType.all",
157 "caption": "All"
158 },
159 "leaseAreas": [],
160 "businessUnitFilterType": {
161 "name": "ALL",
162 "captionKey": "enum.filterType.all",
163 "caption": "All"
164 },
165 "businessUnits": [],
166 "companyFilterType": {
167 "name": "ALL",
168 "captionKey": "enum.filterType.all",
169 "caption": "All"
170 },
171 "companies": [],
172 "leaseDepartmentFilterType": {
173 "name": "ALL",
174 "captionKey": "enum.filterType.all",
175 "caption": "All"
176 },
177 "leaseDepartments": [],
178 "leaseGroupFilterType": {
179 "name": "ALL",
180 "captionKey": "enum.filterType.all",
181 "caption": "All"
182 },
183 "leaseGroups": [],
184 "costCenterFilterType": {
185 "name": "ALL",
186 "captionKey": "enum.filterType.all",
187 "caption": "All"
188 },
189 "costCenters": [],
190 "profitCenterFilterType": {
191 "name": "ALL",
192 "captionKey": "enum.filterType.all",
193 "caption": "All"
194 },
195 "profitCenters": [],
196 "wbsFilterType": {
197 "name": "ALL",
198 "captionKey": "enum.filterType.all",
199 "caption": "All"
200 },
201 "wbses": []
202 }
203 },
204 "tasks": [],
205 "docStoreId": 10000001
206}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": {
3 "name": "OK",
4 "captionKey": "enum.responseCode.ok",
5 "caption": "OK"
6 },
7 "errors": {
8 "all": []
9 },
10 "object": {
11 "id": 10000001,
12 "taskCount": 100,
13 "failedTaskCount": 100,
14 "doneTaskCount": 100,
15 "inProgressTaskCount": 100,
16 "cancelledTaskCount": 100,
17 "errorMessage": "sample_errorMessage",
18 "executor": {
19 "name": "MANUAL",
20 "captionKey": "enum.batchJobExecutor.manual",
21 "caption": "Manual"
22 },
23 "scheduleJobId": 10000001,
24 "batchSize": 1000,
25 "totalObjectCount": 100,
26 "profileId": 10000001,
27 "readOnly": false,
28 "status": {
29 "name": "PROCESSING",
30 "captionKey": "enum.batchJobStatus.processing",
31 "caption": "Processing"
32 },
33 "fileStorageId": "sample_fileStorageId",
34 "generatingReport": false,
35 "startedGeneratingReportAt": "2025-01-01T10:00:00Z",
36 "finishedGeneratingReportAt": "2025-01-01T10:00:00Z",
37 "reportType": {
38 "name": "BY_AMOUNT",
39 "captionKey": "enum.byType.byAmount",
40 "caption": "By Amount"
41 },
42 "input": {
43 "id": 10000001,
44 "activationGroupStatus": {
45 "name": "AG_ACTIVE",
46 "captionKey": "enum.entityStatus.agActive",
47 "caption": "Active"
48 },
49 "internalAssetClass": {
50 "id": 10000001,
51 "displayId": "IAC-001",
52 "status": {
53 "name": "ACTIVE",
54 "captionKey": "enum.objectStatus.active",
55 "active": true,
56 "caption": "Active"
57 },
58 "name": "Machinery and Equipment",
59 "assetClassType": "PROPERTY",
60 "infiniteUsefulLife": false
61 },
62 "fromYear": 100,
63 "fromPeriod": {
64 "id": 10000001,
65 "displayId": "FP-2024-Q1",
66 "status": {
67 "name": "ACTIVE",
68 "captionKey": "enum.objectStatus.active",
69 "active": true,
70 "caption": "Active"
71 },
72 "day": 15,
73 "year": 2024,
74 "month": 3,
75 "postingPeriod": 3,
76 "yearShift": 0
77 },
78 "toYear": 100,
79 "toPeriod": {
80 "id": 10000001,
81 "displayId": "FP-2024-Q1",
82 "status": {
83 "name": "ACTIVE",
84 "captionKey": "enum.objectStatus.active",
85 "active": true,
86 "caption": "Active"
87 },
88 "day": 15,
89 "year": 2024,
90 "month": 3,
91 "postingPeriod": 3,
92 "yearShift": 0
93 },
94 "fromDate": "2025-01-01",
95 "toDate": "2025-01-01",
96 "fromDateType": "USER_DEFINED",
97 "toDateType": "USER_DEFINED",
98 "accountingStandardType": {
99 "name": "GAAP",
100 "captionKey": "enum.accountingStandard.gaap",
101 "caption": "GAAP"
102 },
103 "leaseClassifications": {
104 "name": "FINANCE",
105 "captionKey": "enum.leaseClassificationType.finance",
106 "caption": "Finance Lease"
107 },
108 "leaseType": {
109 "name": "LEASE_CONTRACT_FIX",
110 "captionKey": "enum.leaseType.fix",
111 "principalPositionType": "LESSEE",
112 "caption": "Fixed Lease Contract"
113 },
114 "partner": {
115 "id": 10000012,
116 "displayId": "0000100003",
117 "status": {
118 "name": "ACTIVE",
119 "captionKey": "enum.objectStatus.active",
120 "active": true,
121 "caption": "Active"
122 },
123 "name": "TEST VENDOR GB",
124 "erpSystemDisplayId": "FINQ8S-300"
125 },
126 "listObjectType": {
127 "name": "CONTRACT",
128 "captionKey": "enum.listObjectType.contract",
129 "caption": "Contract"
130 },
131 "objectsList": [],
132 "migratedFilterType": {
133 "name": "ALL",
134 "captionKey": "enum.migratedFilterType.all",
135 "caption": "All"
136 }
137 },
138 "filter": {
139 "id": 10000001,
140 "profileId": 10000001,
141 "name": "Sample Name",
142 "principalPositionType": {
143 "name": "LESSEE",
144 "captionKey": "enum.principalpositiontype.lessee",
145 "caption": "Lessee"
146 },
147 "calendarType": {
148 "name": "_360",
149 "captionKey": "enum.calendarType.360",
150 "caption": "360 Convention"
151 },
152 "fiscalYearVariant": {
153 "id": "string",
154 "displayId": "Euro"
155 },
156 "objectHierarchy": {
157 "erpSystemFilterType": {
158 "name": "ALL",
159 "captionKey": "enum.filterType.all",
160 "caption": "All"
161 },
162 "erpSystems": [],
163 "leaseAreaFilterType": {
164 "name": "ALL",
165 "captionKey": "enum.filterType.all",
166 "caption": "All"
167 },
168 "leaseAreas": [],
169 "businessUnitFilterType": {
170 "name": "ALL",
171 "captionKey": "enum.filterType.all",
172 "caption": "All"
173 },
174 "businessUnits": [],
175 "companyFilterType": {
176 "name": "ALL",
177 "captionKey": "enum.filterType.all",
178 "caption": "All"
179 },
180 "companies": [],
181 "leaseDepartmentFilterType": {
182 "name": "ALL",
183 "captionKey": "enum.filterType.all",
184 "caption": "All"
185 },
186 "leaseDepartments": [],
187 "leaseGroupFilterType": {
188 "name": "ALL",
189 "captionKey": "enum.filterType.all",
190 "caption": "All"
191 },
192 "leaseGroups": [],
193 "costCenterFilterType": {
194 "name": "ALL",
195 "captionKey": "enum.filterType.all",
196 "caption": "All"
197 },
198 "costCenters": [],
199 "profitCenterFilterType": {
200 "name": "ALL",
201 "captionKey": "enum.filterType.all",
202 "caption": "All"
203 },
204 "profitCenters": [],
205 "wbsFilterType": {
206 "name": "ALL",
207 "captionKey": "enum.filterType.all",
208 "caption": "All"
209 },
210 "wbses": []
211 }
212 },
213 "tasks": [],
214 "docStoreId": 10000001
215 }
216}
Bulk Upsert Activity Analysis Report JobsΒΆ
HTTP Request
PUT /api/v1/activity_analysis_reports/jobs/createOrUpdate/bulk
π Description: Creates or updates multiple activity analysis report jobs in the Nakisa Lease Accounting Suite, enabling efficient management of lease, contract, and financial obligation data for accurate accounting entries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing bulk data for creating or updating activity analysis reports related to leases, contracts, financial obligations, and accounting entries. |
Body Parameters
1[
2 {
3 "id": 10000001,
4 "taskCount": 100,
5 "failedTaskCount": 100,
6 "doneTaskCount": 100,
7 "inProgressTaskCount": 100,
8 "cancelledTaskCount": 100,
9 "errorMessage": "sample_errorMessage",
10 "executor": {
11 "name": "MANUAL",
12 "captionKey": "enum.batchJobExecutor.manual",
13 "caption": "Manual"
14 },
15 "scheduleJobId": 10000001,
16 "batchSize": 1000,
17 "totalObjectCount": 100,
18 "profileId": 10000001,
19 "readOnly": false,
20 "status": {
21 "name": "PROCESSING",
22 "captionKey": "enum.batchJobStatus.processing",
23 "caption": "Processing"
24 },
25 "fileStorageId": "sample_fileStorageId",
26 "generatingReport": false,
27 "startedGeneratingReportAt": "2025-01-01T10:00:00Z",
28 "finishedGeneratingReportAt": "2025-01-01T10:00:00Z",
29 "reportType": {
30 "name": "BY_AMOUNT",
31 "captionKey": "enum.byType.byAmount",
32 "caption": "By Amount"
33 },
34 "input": {
35 "id": 10000001,
36 "activationGroupStatus": {
37 "name": "AG_ACTIVE",
38 "captionKey": "enum.entityStatus.agActive",
39 "caption": "Active"
40 },
41 "internalAssetClass": {
42 "id": 10000001,
43 "displayId": "IAC-001",
44 "status": {
45 "name": "ACTIVE",
46 "captionKey": "enum.objectStatus.active",
47 "active": true,
48 "caption": "Active"
49 },
50 "name": "Machinery and Equipment",
51 "assetClassType": "PROPERTY",
52 "infiniteUsefulLife": false
53 },
54 "fromYear": 100,
55 "fromPeriod": {
56 "id": 10000001,
57 "displayId": "FP-2024-Q1",
58 "status": {
59 "name": "ACTIVE",
60 "captionKey": "enum.objectStatus.active",
61 "active": true,
62 "caption": "Active"
63 },
64 "day": 15,
65 "year": 2024,
66 "month": 3,
67 "postingPeriod": 3,
68 "yearShift": 0
69 },
70 "toYear": 100,
71 "toPeriod": {
72 "id": 10000001,
73 "displayId": "FP-2024-Q1",
74 "status": {
75 "name": "ACTIVE",
76 "captionKey": "enum.objectStatus.active",
77 "active": true,
78 "caption": "Active"
79 },
80 "day": 15,
81 "year": 2024,
82 "month": 3,
83 "postingPeriod": 3,
84 "yearShift": 0
85 },
86 "fromDate": "2025-01-01",
87 "toDate": "2025-01-01",
88 "fromDateType": "USER_DEFINED",
89 "toDateType": "USER_DEFINED",
90 "accountingStandardType": {
91 "name": "GAAP",
92 "captionKey": "enum.accountingStandard.gaap",
93 "caption": "GAAP"
94 },
95 "leaseClassifications": {
96 "name": "FINANCE",
97 "captionKey": "enum.leaseClassificationType.finance",
98 "caption": "Finance Lease"
99 },
100 "leaseType": {
101 "name": "LEASE_CONTRACT_FIX",
102 "captionKey": "enum.leaseType.fix",
103 "principalPositionType": "LESSEE",
104 "caption": "Fixed Lease Contract"
105 },
106 "partner": {
107 "id": 10000012,
108 "displayId": "0000100003",
109 "status": {
110 "name": "ACTIVE",
111 "captionKey": "enum.objectStatus.active",
112 "active": true,
113 "caption": "Active"
114 },
115 "name": "TEST VENDOR GB",
116 "erpSystemDisplayId": "FINQ8S-300"
117 },
118 "listObjectType": {
119 "name": "CONTRACT",
120 "captionKey": "enum.listObjectType.contract",
121 "caption": "Contract"
122 },
123 "objectsList": [],
124 "migratedFilterType": {
125 "name": "ALL",
126 "captionKey": "enum.migratedFilterType.all",
127 "caption": "All"
128 }
129 },
130 "filter": {
131 "id": 10000001,
132 "profileId": 10000001,
133 "name": "Sample Name",
134 "principalPositionType": {
135 "name": "LESSEE",
136 "captionKey": "enum.principalpositiontype.lessee",
137 "caption": "Lessee"
138 },
139 "calendarType": {
140 "name": "_360",
141 "captionKey": "enum.calendarType.360",
142 "caption": "360 Convention"
143 },
144 "fiscalYearVariant": {
145 "id": "string",
146 "displayId": "Euro"
147 },
148 "objectHierarchy": {
149 "erpSystemFilterType": {
150 "name": "ALL",
151 "captionKey": "enum.filterType.all",
152 "caption": "All"
153 },
154 "erpSystems": [],
155 "leaseAreaFilterType": {
156 "name": "ALL",
157 "captionKey": "enum.filterType.all",
158 "caption": "All"
159 },
160 "leaseAreas": [],
161 "businessUnitFilterType": {
162 "name": "ALL",
163 "captionKey": "enum.filterType.all",
164 "caption": "All"
165 },
166 "businessUnits": [],
167 "companyFilterType": {
168 "name": "ALL",
169 "captionKey": "enum.filterType.all",
170 "caption": "All"
171 },
172 "companies": [],
173 "leaseDepartmentFilterType": {
174 "name": "ALL",
175 "captionKey": "enum.filterType.all",
176 "caption": "All"
177 },
178 "leaseDepartments": [],
179 "leaseGroupFilterType": {
180 "name": "ALL",
181 "captionKey": "enum.filterType.all",
182 "caption": "All"
183 },
184 "leaseGroups": [],
185 "costCenterFilterType": {
186 "name": "ALL",
187 "captionKey": "enum.filterType.all",
188 "caption": "All"
189 },
190 "costCenters": [],
191 "profitCenterFilterType": {
192 "name": "ALL",
193 "captionKey": "enum.filterType.all",
194 "caption": "All"
195 },
196 "profitCenters": [],
197 "wbsFilterType": {
198 "name": "ALL",
199 "captionKey": "enum.filterType.all",
200 "caption": "All"
201 },
202 "wbses": []
203 }
204 },
205 "tasks": [],
206 "docStoreId": 10000001
207 }
208]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": {
3 "name": "OK",
4 "captionKey": "enum.responseCode.ok",
5 "caption": "OK"
6 },
7 "errors": {
8 "all": []
9 },
10 "object": []
11}
Upsert Activity Analysis Report JobΒΆ
HTTP Request
PUT /api/v1/activity_analysis_reports/jobs/createOrUpdate
π Description: Creates or updates activity analysis report jobs within the Nakisa Lease Accounting Suite, facilitating the management of lease contracts and associated financial obligations for accurate accounting entries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing the lease and contract data necessary for creating or updating financial obligation and accounting entry records within the Nakisa Lease Accounting Suite. |
Body Parameters
1{
2 "id": 10000001,
3 "taskCount": 100,
4 "failedTaskCount": 100,
5 "doneTaskCount": 100,
6 "inProgressTaskCount": 100,
7 "cancelledTaskCount": 100,
8 "errorMessage": "sample_errorMessage",
9 "executor": {
10 "name": "MANUAL",
11 "captionKey": "enum.batchJobExecutor.manual",
12 "caption": "Manual"
13 },
14 "scheduleJobId": 10000001,
15 "batchSize": 1000,
16 "totalObjectCount": 100,
17 "profileId": 10000001,
18 "readOnly": false,
19 "status": {
20 "name": "PROCESSING",
21 "captionKey": "enum.batchJobStatus.processing",
22 "caption": "Processing"
23 },
24 "fileStorageId": "sample_fileStorageId",
25 "generatingReport": false,
26 "startedGeneratingReportAt": "2025-01-01T10:00:00Z",
27 "finishedGeneratingReportAt": "2025-01-01T10:00:00Z",
28 "reportType": {
29 "name": "BY_AMOUNT",
30 "captionKey": "enum.byType.byAmount",
31 "caption": "By Amount"
32 },
33 "input": {
34 "id": 10000001,
35 "activationGroupStatus": {
36 "name": "AG_ACTIVE",
37 "captionKey": "enum.entityStatus.agActive",
38 "caption": "Active"
39 },
40 "internalAssetClass": {
41 "id": 10000001,
42 "displayId": "IAC-001",
43 "status": {
44 "name": "ACTIVE",
45 "captionKey": "enum.objectStatus.active",
46 "active": true,
47 "caption": "Active"
48 },
49 "name": "Machinery and Equipment",
50 "assetClassType": "PROPERTY",
51 "infiniteUsefulLife": false
52 },
53 "fromYear": 100,
54 "fromPeriod": {
55 "id": 10000001,
56 "displayId": "FP-2024-Q1",
57 "status": {
58 "name": "ACTIVE",
59 "captionKey": "enum.objectStatus.active",
60 "active": true,
61 "caption": "Active"
62 },
63 "day": 15,
64 "year": 2024,
65 "month": 3,
66 "postingPeriod": 3,
67 "yearShift": 0
68 },
69 "toYear": 100,
70 "toPeriod": {
71 "id": 10000001,
72 "displayId": "FP-2024-Q1",
73 "status": {
74 "name": "ACTIVE",
75 "captionKey": "enum.objectStatus.active",
76 "active": true,
77 "caption": "Active"
78 },
79 "day": 15,
80 "year": 2024,
81 "month": 3,
82 "postingPeriod": 3,
83 "yearShift": 0
84 },
85 "fromDate": "2025-01-01",
86 "toDate": "2025-01-01",
87 "fromDateType": "USER_DEFINED",
88 "toDateType": "USER_DEFINED",
89 "accountingStandardType": {
90 "name": "GAAP",
91 "captionKey": "enum.accountingStandard.gaap",
92 "caption": "GAAP"
93 },
94 "leaseClassifications": {
95 "name": "FINANCE",
96 "captionKey": "enum.leaseClassificationType.finance",
97 "caption": "Finance Lease"
98 },
99 "leaseType": {
100 "name": "LEASE_CONTRACT_FIX",
101 "captionKey": "enum.leaseType.fix",
102 "principalPositionType": "LESSEE",
103 "caption": "Fixed Lease Contract"
104 },
105 "partner": {
106 "id": 10000012,
107 "displayId": "0000100003",
108 "status": {
109 "name": "ACTIVE",
110 "captionKey": "enum.objectStatus.active",
111 "active": true,
112 "caption": "Active"
113 },
114 "name": "TEST VENDOR GB",
115 "erpSystemDisplayId": "FINQ8S-300"
116 },
117 "listObjectType": {
118 "name": "CONTRACT",
119 "captionKey": "enum.listObjectType.contract",
120 "caption": "Contract"
121 },
122 "objectsList": [],
123 "migratedFilterType": {
124 "name": "ALL",
125 "captionKey": "enum.migratedFilterType.all",
126 "caption": "All"
127 }
128 },
129 "filter": {
130 "id": 10000001,
131 "profileId": 10000001,
132 "name": "Sample Name",
133 "principalPositionType": {
134 "name": "LESSEE",
135 "captionKey": "enum.principalpositiontype.lessee",
136 "caption": "Lessee"
137 },
138 "calendarType": {
139 "name": "_360",
140 "captionKey": "enum.calendarType.360",
141 "caption": "360 Convention"
142 },
143 "fiscalYearVariant": {
144 "id": "string",
145 "displayId": "Euro"
146 },
147 "objectHierarchy": {
148 "erpSystemFilterType": {
149 "name": "ALL",
150 "captionKey": "enum.filterType.all",
151 "caption": "All"
152 },
153 "erpSystems": [],
154 "leaseAreaFilterType": {
155 "name": "ALL",
156 "captionKey": "enum.filterType.all",
157 "caption": "All"
158 },
159 "leaseAreas": [],
160 "businessUnitFilterType": {
161 "name": "ALL",
162 "captionKey": "enum.filterType.all",
163 "caption": "All"
164 },
165 "businessUnits": [],
166 "companyFilterType": {
167 "name": "ALL",
168 "captionKey": "enum.filterType.all",
169 "caption": "All"
170 },
171 "companies": [],
172 "leaseDepartmentFilterType": {
173 "name": "ALL",
174 "captionKey": "enum.filterType.all",
175 "caption": "All"
176 },
177 "leaseDepartments": [],
178 "leaseGroupFilterType": {
179 "name": "ALL",
180 "captionKey": "enum.filterType.all",
181 "caption": "All"
182 },
183 "leaseGroups": [],
184 "costCenterFilterType": {
185 "name": "ALL",
186 "captionKey": "enum.filterType.all",
187 "caption": "All"
188 },
189 "costCenters": [],
190 "profitCenterFilterType": {
191 "name": "ALL",
192 "captionKey": "enum.filterType.all",
193 "caption": "All"
194 },
195 "profitCenters": [],
196 "wbsFilterType": {
197 "name": "ALL",
198 "captionKey": "enum.filterType.all",
199 "caption": "All"
200 },
201 "wbses": []
202 }
203 },
204 "tasks": [],
205 "docStoreId": 10000001
206}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": {
3 "name": "OK",
4 "captionKey": "enum.responseCode.ok",
5 "caption": "OK"
6 },
7 "errors": {
8 "all": []
9 },
10 "object": {
11 "id": 10000001,
12 "taskCount": 100,
13 "failedTaskCount": 100,
14 "doneTaskCount": 100,
15 "inProgressTaskCount": 100,
16 "cancelledTaskCount": 100,
17 "errorMessage": "sample_errorMessage",
18 "executor": {
19 "name": "MANUAL",
20 "captionKey": "enum.batchJobExecutor.manual",
21 "caption": "Manual"
22 },
23 "scheduleJobId": 10000001,
24 "batchSize": 1000,
25 "totalObjectCount": 100,
26 "profileId": 10000001,
27 "readOnly": false,
28 "status": {
29 "name": "PROCESSING",
30 "captionKey": "enum.batchJobStatus.processing",
31 "caption": "Processing"
32 },
33 "fileStorageId": "sample_fileStorageId",
34 "generatingReport": false,
35 "startedGeneratingReportAt": "2025-01-01T10:00:00Z",
36 "finishedGeneratingReportAt": "2025-01-01T10:00:00Z",
37 "reportType": {
38 "name": "BY_AMOUNT",
39 "captionKey": "enum.byType.byAmount",
40 "caption": "By Amount"
41 },
42 "input": {
43 "id": 10000001,
44 "activationGroupStatus": {
45 "name": "AG_ACTIVE",
46 "captionKey": "enum.entityStatus.agActive",
47 "caption": "Active"
48 },
49 "internalAssetClass": {
50 "id": 10000001,
51 "displayId": "IAC-001",
52 "status": {
53 "name": "ACTIVE",
54 "captionKey": "enum.objectStatus.active",
55 "active": true,
56 "caption": "Active"
57 },
58 "name": "Machinery and Equipment",
59 "assetClassType": "PROPERTY",
60 "infiniteUsefulLife": false
61 },
62 "fromYear": 100,
63 "fromPeriod": {
64 "id": 10000001,
65 "displayId": "FP-2024-Q1",
66 "status": {
67 "name": "ACTIVE",
68 "captionKey": "enum.objectStatus.active",
69 "active": true,
70 "caption": "Active"
71 },
72 "day": 15,
73 "year": 2024,
74 "month": 3,
75 "postingPeriod": 3,
76 "yearShift": 0
77 },
78 "toYear": 100,
79 "toPeriod": {
80 "id": 10000001,
81 "displayId": "FP-2024-Q1",
82 "status": {
83 "name": "ACTIVE",
84 "captionKey": "enum.objectStatus.active",
85 "active": true,
86 "caption": "Active"
87 },
88 "day": 15,
89 "year": 2024,
90 "month": 3,
91 "postingPeriod": 3,
92 "yearShift": 0
93 },
94 "fromDate": "2025-01-01",
95 "toDate": "2025-01-01",
96 "fromDateType": "USER_DEFINED",
97 "toDateType": "USER_DEFINED",
98 "accountingStandardType": {
99 "name": "GAAP",
100 "captionKey": "enum.accountingStandard.gaap",
101 "caption": "GAAP"
102 },
103 "leaseClassifications": {
104 "name": "FINANCE",
105 "captionKey": "enum.leaseClassificationType.finance",
106 "caption": "Finance Lease"
107 },
108 "leaseType": {
109 "name": "LEASE_CONTRACT_FIX",
110 "captionKey": "enum.leaseType.fix",
111 "principalPositionType": "LESSEE",
112 "caption": "Fixed Lease Contract"
113 },
114 "partner": {
115 "id": 10000012,
116 "displayId": "0000100003",
117 "status": {
118 "name": "ACTIVE",
119 "captionKey": "enum.objectStatus.active",
120 "active": true,
121 "caption": "Active"
122 },
123 "name": "TEST VENDOR GB",
124 "erpSystemDisplayId": "FINQ8S-300"
125 },
126 "listObjectType": {
127 "name": "CONTRACT",
128 "captionKey": "enum.listObjectType.contract",
129 "caption": "Contract"
130 },
131 "objectsList": [],
132 "migratedFilterType": {
133 "name": "ALL",
134 "captionKey": "enum.migratedFilterType.all",
135 "caption": "All"
136 }
137 },
138 "filter": {
139 "id": 10000001,
140 "profileId": 10000001,
141 "name": "Sample Name",
142 "principalPositionType": {
143 "name": "LESSEE",
144 "captionKey": "enum.principalpositiontype.lessee",
145 "caption": "Lessee"
146 },
147 "calendarType": {
148 "name": "_360",
149 "captionKey": "enum.calendarType.360",
150 "caption": "360 Convention"
151 },
152 "fiscalYearVariant": {
153 "id": "string",
154 "displayId": "Euro"
155 },
156 "objectHierarchy": {
157 "erpSystemFilterType": {
158 "name": "ALL",
159 "captionKey": "enum.filterType.all",
160 "caption": "All"
161 },
162 "erpSystems": [],
163 "leaseAreaFilterType": {
164 "name": "ALL",
165 "captionKey": "enum.filterType.all",
166 "caption": "All"
167 },
168 "leaseAreas": [],
169 "businessUnitFilterType": {
170 "name": "ALL",
171 "captionKey": "enum.filterType.all",
172 "caption": "All"
173 },
174 "businessUnits": [],
175 "companyFilterType": {
176 "name": "ALL",
177 "captionKey": "enum.filterType.all",
178 "caption": "All"
179 },
180 "companies": [],
181 "leaseDepartmentFilterType": {
182 "name": "ALL",
183 "captionKey": "enum.filterType.all",
184 "caption": "All"
185 },
186 "leaseDepartments": [],
187 "leaseGroupFilterType": {
188 "name": "ALL",
189 "captionKey": "enum.filterType.all",
190 "caption": "All"
191 },
192 "leaseGroups": [],
193 "costCenterFilterType": {
194 "name": "ALL",
195 "captionKey": "enum.filterType.all",
196 "caption": "All"
197 },
198 "costCenters": [],
199 "profitCenterFilterType": {
200 "name": "ALL",
201 "captionKey": "enum.filterType.all",
202 "caption": "All"
203 },
204 "profitCenters": [],
205 "wbsFilterType": {
206 "name": "ALL",
207 "captionKey": "enum.filterType.all",
208 "caption": "All"
209 },
210 "wbses": []
211 }
212 },
213 "tasks": [],
214 "docStoreId": 10000001
215 }
216}
Bulk Update Activity Analysis Report JobsΒΆ
HTTP Request
PUT /api/v1/activity_analysis_reports/jobs/bulk
π Description: Updates multiple activity analysis report jobs in the Nakisa Lease Accounting Suite, enabling efficient management of lease and contract-related financial obligations and accounting entries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing bulk job data for lease and contract analysis, including financial obligations and accounting entry details. |
Body Parameters
1[
2 {
3 "id": 10000001,
4 "taskCount": 100,
5 "failedTaskCount": 100,
6 "doneTaskCount": 100,
7 "inProgressTaskCount": 100,
8 "cancelledTaskCount": 100,
9 "errorMessage": "sample_errorMessage",
10 "executor": {
11 "name": "MANUAL",
12 "captionKey": "enum.batchJobExecutor.manual",
13 "caption": "Manual"
14 },
15 "scheduleJobId": 10000001,
16 "batchSize": 1000,
17 "totalObjectCount": 100,
18 "profileId": 10000001,
19 "readOnly": false,
20 "status": {
21 "name": "PROCESSING",
22 "captionKey": "enum.batchJobStatus.processing",
23 "caption": "Processing"
24 },
25 "fileStorageId": "sample_fileStorageId",
26 "generatingReport": false,
27 "startedGeneratingReportAt": "2025-01-01T10:00:00Z",
28 "finishedGeneratingReportAt": "2025-01-01T10:00:00Z",
29 "reportType": {
30 "name": "BY_AMOUNT",
31 "captionKey": "enum.byType.byAmount",
32 "caption": "By Amount"
33 },
34 "input": {
35 "id": 10000001,
36 "activationGroupStatus": {
37 "name": "AG_ACTIVE",
38 "captionKey": "enum.entityStatus.agActive",
39 "caption": "Active"
40 },
41 "internalAssetClass": {
42 "id": 10000001,
43 "displayId": "IAC-001",
44 "status": {
45 "name": "ACTIVE",
46 "captionKey": "enum.objectStatus.active",
47 "active": true,
48 "caption": "Active"
49 },
50 "name": "Machinery and Equipment",
51 "assetClassType": "PROPERTY",
52 "infiniteUsefulLife": false
53 },
54 "fromYear": 100,
55 "fromPeriod": {
56 "id": 10000001,
57 "displayId": "FP-2024-Q1",
58 "status": {
59 "name": "ACTIVE",
60 "captionKey": "enum.objectStatus.active",
61 "active": true,
62 "caption": "Active"
63 },
64 "day": 15,
65 "year": 2024,
66 "month": 3,
67 "postingPeriod": 3,
68 "yearShift": 0
69 },
70 "toYear": 100,
71 "toPeriod": {
72 "id": 10000001,
73 "displayId": "FP-2024-Q1",
74 "status": {
75 "name": "ACTIVE",
76 "captionKey": "enum.objectStatus.active",
77 "active": true,
78 "caption": "Active"
79 },
80 "day": 15,
81 "year": 2024,
82 "month": 3,
83 "postingPeriod": 3,
84 "yearShift": 0
85 },
86 "fromDate": "2025-01-01",
87 "toDate": "2025-01-01",
88 "fromDateType": "USER_DEFINED",
89 "toDateType": "USER_DEFINED",
90 "accountingStandardType": {
91 "name": "GAAP",
92 "captionKey": "enum.accountingStandard.gaap",
93 "caption": "GAAP"
94 },
95 "leaseClassifications": {
96 "name": "FINANCE",
97 "captionKey": "enum.leaseClassificationType.finance",
98 "caption": "Finance Lease"
99 },
100 "leaseType": {
101 "name": "LEASE_CONTRACT_FIX",
102 "captionKey": "enum.leaseType.fix",
103 "principalPositionType": "LESSEE",
104 "caption": "Fixed Lease Contract"
105 },
106 "partner": {
107 "id": 10000012,
108 "displayId": "0000100003",
109 "status": {
110 "name": "ACTIVE",
111 "captionKey": "enum.objectStatus.active",
112 "active": true,
113 "caption": "Active"
114 },
115 "name": "TEST VENDOR GB",
116 "erpSystemDisplayId": "FINQ8S-300"
117 },
118 "listObjectType": {
119 "name": "CONTRACT",
120 "captionKey": "enum.listObjectType.contract",
121 "caption": "Contract"
122 },
123 "objectsList": [],
124 "migratedFilterType": {
125 "name": "ALL",
126 "captionKey": "enum.migratedFilterType.all",
127 "caption": "All"
128 }
129 },
130 "filter": {
131 "id": 10000001,
132 "profileId": 10000001,
133 "name": "Sample Name",
134 "principalPositionType": {
135 "name": "LESSEE",
136 "captionKey": "enum.principalpositiontype.lessee",
137 "caption": "Lessee"
138 },
139 "calendarType": {
140 "name": "_360",
141 "captionKey": "enum.calendarType.360",
142 "caption": "360 Convention"
143 },
144 "fiscalYearVariant": {
145 "id": "string",
146 "displayId": "Euro"
147 },
148 "objectHierarchy": {
149 "erpSystemFilterType": {
150 "name": "ALL",
151 "captionKey": "enum.filterType.all",
152 "caption": "All"
153 },
154 "erpSystems": [],
155 "leaseAreaFilterType": {
156 "name": "ALL",
157 "captionKey": "enum.filterType.all",
158 "caption": "All"
159 },
160 "leaseAreas": [],
161 "businessUnitFilterType": {
162 "name": "ALL",
163 "captionKey": "enum.filterType.all",
164 "caption": "All"
165 },
166 "businessUnits": [],
167 "companyFilterType": {
168 "name": "ALL",
169 "captionKey": "enum.filterType.all",
170 "caption": "All"
171 },
172 "companies": [],
173 "leaseDepartmentFilterType": {
174 "name": "ALL",
175 "captionKey": "enum.filterType.all",
176 "caption": "All"
177 },
178 "leaseDepartments": [],
179 "leaseGroupFilterType": {
180 "name": "ALL",
181 "captionKey": "enum.filterType.all",
182 "caption": "All"
183 },
184 "leaseGroups": [],
185 "costCenterFilterType": {
186 "name": "ALL",
187 "captionKey": "enum.filterType.all",
188 "caption": "All"
189 },
190 "costCenters": [],
191 "profitCenterFilterType": {
192 "name": "ALL",
193 "captionKey": "enum.filterType.all",
194 "caption": "All"
195 },
196 "profitCenters": [],
197 "wbsFilterType": {
198 "name": "ALL",
199 "captionKey": "enum.filterType.all",
200 "caption": "All"
201 },
202 "wbses": []
203 }
204 },
205 "tasks": [],
206 "docStoreId": 10000001
207 }
208]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": {
3 "name": "OK",
4 "captionKey": "enum.responseCode.ok",
5 "caption": "OK"
6 },
7 "errors": {
8 "all": []
9 },
10 "object": []
11}
Create A New ProfilesΒΆ
HTTP Request
POST /api/v1/activity_analysis_reports/jobs/task/status/profiles
π Description: Submits a request to update the status of activity analysis report jobs related to lease and contract management within the Nakisa Lease Accounting Suite, ensuring accurate tracking of financial obligations and accounting entries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
false |
Request body containing the profile data for activity analysis reports related to leases, contracts, financial obligations, and accounting entries. |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "string"
3]
Response Schema
Search Activity Analysis Report JobsΒΆ
HTTP Request
POST /api/v1/activity_analysis_reports/jobs/search
π Description: Submits a request to search for activity analysis reports related to leases, contracts, and financial obligations within the Nakisa Lease Accounting Suite, enabling users to efficiently identify and manage accounting entries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
body |
body |
false |
Request body containing search criteria and filters for generating activity analysis reports related to leases, contracts, and financial obligations within the Nakisa Lease Accounting Suite. |
Default ValuesΒΆ
Parameter |
Default |
Type |
|---|---|---|
sort |
|
query |
Body Parameters
1{
2 "idIn": [],
3 "idEqual": 10000001,
4 "idLike": "sample_idLike",
5 "createdAtGreaterThanOrEqual": "2025-01-01T10:00:00Z",
6 "createdAtLessThanOrEqual": "2025-01-01T10:00:00Z",
7 "createdByLike": "sample_createdByLike",
8 "createdByEqual": "sample_createdByEqual",
9 "modifiedAtGreaterThanOrEqual": "2025-01-01T10:00:00Z",
10 "modifiedAtLessThanOrEqual": "2025-01-01T10:00:00Z",
11 "modifiedByLike": "sample_modifiedByLike",
12 "modifiedByEqual": "sample_modifiedByEqual",
13 "executorEqual": {
14 "name": "MANUAL",
15 "captionKey": "enum.batchJobExecutor.manual",
16 "caption": "Manual"
17 },
18 "reportTypeEqual": {
19 "name": "BY_AMOUNT",
20 "captionKey": "enum.byType.byAmount",
21 "caption": "By Amount"
22 },
23 "accountingStandardTypeEqual": {
24 "name": "GAAP",
25 "captionKey": "enum.accountingStandard.gaap",
26 "caption": "GAAP"
27 },
28 "partnerEqual": {
29 "id": 10000012,
30 "displayId": "0000100003",
31 "status": {
32 "name": "ACTIVE",
33 "captionKey": "enum.objectStatus.active",
34 "active": true,
35 "caption": "Active"
36 },
37 "name": "TEST VENDOR GB",
38 "erpSystemDisplayId": "FINQ8S-300"
39 },
40 "fromYearEqual": 100,
41 "fromPeriodEqual": 100,
42 "toYearEqual": 100,
43 "toPeriodEqual": 100,
44 "listObjectTypeEqual": {
45 "name": "CONTRACT",
46 "captionKey": "enum.listObjectType.contract",
47 "caption": "Contract"
48 },
49 "objectsListLike": "sample_objectsListLike",
50 "leaseClassificationsLike": "sample_leaseClassificationsLike",
51 "leaseTypeEqual": {
52 "name": "LEASE_CONTRACT_FIX",
53 "captionKey": "enum.leaseType.fix",
54 "principalPositionType": "LESSEE",
55 "caption": "Fixed Lease Contract"
56 },
57 "internalAssetClassEqual": {
58 "id": 10000001,
59 "displayId": "IAC-001",
60 "status": {
61 "name": "ACTIVE",
62 "captionKey": "enum.objectStatus.active",
63 "active": true,
64 "caption": "Active"
65 },
66 "name": "Machinery and Equipment",
67 "assetClassType": "PROPERTY",
68 "infiniteUsefulLife": false
69 },
70 "fromDateEqual": "2025-01-01",
71 "toDateEqual": "2025-01-01",
72 "calendarTypeEqual": {
73 "name": "_360",
74 "captionKey": "enum.calendarType.360",
75 "caption": "360 Convention"
76 },
77 "activationGroupStatusEqual": {
78 "name": "AG_ACTIVE",
79 "captionKey": "enum.entityStatus.agActive",
80 "caption": "Active"
81 },
82 "leaseAreaIdEqual": "sample_leaseAreaIdEqual",
83 "businessUnitIdEqual": "sample_businessUnitIdEqual",
84 "companyIdEqual": "sample_companyIdEqual",
85 "leaseDepartmentIdEqual": "sample_leaseDepartmentIdEqual",
86 "leaseGroupIdEqual": "sample_leaseGroupIdEqual",
87 "taskStatusEqual": "sample_taskStatusEqual"
88}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 10000001,
3 "totalPages": 100,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 100,
17 "size": 100,
18 "content": [],
19 "number": 100,
20 "sort": {
21 "unsorted": false,
22 "sorted": true,
23 "empty": false
24 },
25 "first": false,
26 "last": false,
27 "empty": false
28}
Bulk Create Activity Analysis Report JobsΒΆ
HTTP Request
POST /api/v1/activity_analysis_reports/jobs/profile/bulk
π Description: Submits a bulk job request to generate activity analysis reports related to leases and contracts, facilitating the assessment of financial obligations and accounting entries within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
false |
Request body containing bulk profile data for lease and contract analysis, including financial obligations and accounting entries. |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 0
3]
Response Schema
Get Master Agreements For Activity Analysis Report JobΒΆ
HTTP Request
POST /api/v1/activity_analysis_reports/jobs/master-agreements
π Description: Creates a new master agreement job for activity analysis reports within the Nakisa Lease Accounting Suite, facilitating the management of lease contracts and associated financial obligations.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Page number (0-indexed) |
size |
query |
integer |
false |
Number of items per page |
sort |
query |
array[string] |
false |
Sorting criteria in format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
body |
body |
false |
Request body containing the master agreement details, including lease terms, financial obligations, and associated accounting entries for activity analysis reporting. |
Default ValuesΒΆ
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
Parameter ConstraintsΒΆ
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1, Max: 100 |
Body Parameters
1{
2 "searchTerm": "sample_searchTerm",
3 "profile": {
4 "persistable": false,
5 "id": 10000001,
6 "createdBy": "john.doe@example.com",
7 "createdAt": "2025-01-01T10:00:00Z",
8 "modifiedBy": "john.doe@example.com",
9 "modifiedAt": "2025-01-01T10:00:00Z",
10 "name": "Sample Name",
11 "principalPositionType": {
12 "name": "LESSEE",
13 "captionKey": "enum.principalpositiontype.lessee",
14 "caption": "Lessee"
15 },
16 "calendarType": {
17 "name": "_360",
18 "captionKey": "enum.calendarType.360",
19 "caption": "360 Convention"
20 },
21 "fiscalYearVariant": {
22 "id": "string",
23 "displayId": "Euro"
24 },
25 "profileId": 10000001,
26 "objectHierarchy": {
27 "erpSystemFilterType": {
28 "name": "ALL",
29 "captionKey": "enum.filterType.all",
30 "caption": "All"
31 },
32 "leaseAreaFilterType": {
33 "name": "ALL",
34 "captionKey": "enum.filterType.all",
35 "caption": "All"
36 },
37 "businessUnitFilterType": {
38 "name": "ALL",
39 "captionKey": "enum.filterType.all",
40 "caption": "All"
41 },
42 "companyFilterType": {
43 "name": "ALL",
44 "captionKey": "enum.filterType.all",
45 "caption": "All"
46 },
47 "leaseDepartmentFilterType": {
48 "name": "ALL",
49 "captionKey": "enum.filterType.all",
50 "caption": "All"
51 },
52 "leaseGroupFilterType": {
53 "name": "ALL",
54 "captionKey": "enum.filterType.all",
55 "caption": "All"
56 },
57 "costCenterFilterType": {
58 "name": "ALL",
59 "captionKey": "enum.filterType.all",
60 "caption": "All"
61 },
62 "profitCenterFilterType": {
63 "name": "ALL",
64 "captionKey": "enum.filterType.all",
65 "caption": "All"
66 },
67 "wbsFilterType": {
68 "name": "ALL",
69 "captionKey": "enum.filterType.all",
70 "caption": "All"
71 },
72 "objectBaseIds": []
73 },
74 "new": false
75 },
76 "migratedFilterType": {
77 "name": "ALL",
78 "captionKey": "enum.migratedFilterType.all",
79 "caption": "All"
80 }
81}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 76,
3 "totalPages": 1,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 76,
17 "size": 100,
18 "content": [
19 {
20 "id": 10000086,
21 "displayId": "MA-2025-0001",
22 "year": 2023,
23 "name": "Global HQ Lease Agreement",
24 "description": "Master lease agreement for HQ premises.",
25 "validFrom": "2019-08-24",
26 "validTo": "2019-08-24",
27 "targetValue": 1000000,
28 "legalJurisdiction": "Germany",
29 "approverComment": "Reviewed and approved by legal team.",
30 "signingPerson": "John Doe",
31 "placeOfSignature": "Berlin, Germany",
32 "dateOfSignature": "2019-08-24",
33 "state": {
34 "name": "MLA_ACTIVE",
35 "captionKey": "enum.mlaStatus.mlaActive",
36 "caption": "Active"
37 },
38 "dataCreationInfo": {
39 "id": 10000001,
40 "idGenerationType": {
41 "name": "AUTO",
42 "captionKey": "enum.idGenerationType.auto",
43 "caption": "Auto"
44 },
45 "source": "sample_source",
46 "type": {
47 "name": "MIGRATION",
48 "captionKey": "enum.dataType.migration",
49 "caption": "Migration"
50 },
51 "startDateTime": "2025-01-01T10:00:00Z",
52 "endDateTime": "2025-01-01T10:00:00Z"
53 },
54 "agreementGroup": {
55 "id": 20000001,
56 "displayId": "AG-001",
57 "status": {
58 "name": "ACTIVE",
59 "captionKey": "enum.objectStatus.active",
60 "active": true,
61 "caption": "Active"
62 },
63 "name": "Global Agreement Group"
64 },
65 "currency": {
66 "id": 840,
67 "displayId": "USD",
68 "status": {
69 "name": "ACTIVE",
70 "captionKey": "enum.objectStatus.active",
71 "active": true,
72 "caption": "Active"
73 },
74 "name": "United States Dollar",
75 "decimalPoints": 2
76 },
77 "internalAssetClass": {
78 "id": 10000001,
79 "displayId": "IAC-001",
80 "status": {
81 "name": "ACTIVE",
82 "captionKey": "enum.objectStatus.active",
83 "active": true,
84 "caption": "Active"
85 },
86 "name": "Machinery and Equipment",
87 "assetClassType": "PROPERTY",
88 "infiniteUsefulLife": false
89 },
90 "leaseArea": {
91 "id": 10000001,
92 "displayId": "0001",
93 "status": {
94 "name": "ACTIVE",
95 "captionKey": "enum.objectStatus.active",
96 "active": true,
97 "caption": "Active"
98 },
99 "name": "Global Lease Area"
100 },
101 "businessUnit": {
102 "id": 10000001,
103 "displayId": "BU0001",
104 "status": {
105 "name": "ACTIVE",
106 "captionKey": "enum.objectStatus.active",
107 "active": true,
108 "caption": "Active"
109 },
110 "name": "North America Business Unit"
111 },
112 "companyCode": {
113 "id": 10000006,
114 "displayId": "1005",
115 "status": {
116 "name": "ACTIVE",
117 "captionKey": "enum.objectStatus.active",
118 "active": true,
119 "caption": "Active"
120 },
121 "erpSystemId": 10000001,
122 "erpSystemDisplayId": "FINQ8S-300",
123 "countryId": 10000095,
124 "countryDisplayId": "CA",
125 "name": "string",
126 "postingPeriodVariantId": 0,
127 "fiscalVariantId": 0
128 },
129 "department": {
130 "id": 300001,
131 "displayId": "DEP-01",
132 "status": {
133 "name": "ACTIVE",
134 "captionKey": "enum.objectStatus.active",
135 "active": true,
136 "caption": "Active"
137 },
138 "name": "Finance Department"
139 },
140 "leaseGroup": {
141 "id": 60000001,
142 "displayId": "LG-001",
143 "status": {
144 "name": "ACTIVE",
145 "captionKey": "enum.objectStatus.active",
146 "active": true,
147 "caption": "Active"
148 },
149 "name": "Global Lease Group"
150 },
151 "allowsSystemGenerateNewId": true,
152 "numberRangeIdentifierValue": "0001",
153 "numberRangeIdentifierType": {
154 "name": "COMPANY_CODE"
155 },
156 "numberRangeType": {
157 "name": "CONTRACT"
158 }
159 }
160 ],
161 "number": 0,
162 "sort": {
163 "unsorted": false,
164 "sorted": true,
165 "empty": false
166 },
167 "first": true,
168 "last": true,
169 "empty": false
170}
Get Lease Components For Activity Analysis Report JobΒΆ
HTTP Request
POST /api/v1/activity_analysis_reports/jobs/lease-components
π Description: Creates a new lease component analysis job within the Nakisa Lease Accounting Suite, enabling users to assess financial obligations and generate accounting entries related to lease contracts.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Page number (0-indexed) |
size |
query |
integer |
false |
Number of items per page |
sort |
query |
array[string] |
false |
Sorting criteria in format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
body |
body |
false |
Request body containing the lease component data, including details on financial obligations and accounting entries related to lease contracts. |
Default ValuesΒΆ
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
Parameter ConstraintsΒΆ
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1, Max: 100 |
Body Parameters
1{
2 "searchTerm": "sample_searchTerm",
3 "profile": {
4 "persistable": false,
5 "id": 10000001,
6 "createdBy": "john.doe@example.com",
7 "createdAt": "2025-01-01T10:00:00Z",
8 "modifiedBy": "john.doe@example.com",
9 "modifiedAt": "2025-01-01T10:00:00Z",
10 "name": "Sample Name",
11 "principalPositionType": {
12 "name": "LESSEE",
13 "captionKey": "enum.principalpositiontype.lessee",
14 "caption": "Lessee"
15 },
16 "calendarType": {
17 "name": "_360",
18 "captionKey": "enum.calendarType.360",
19 "caption": "360 Convention"
20 },
21 "fiscalYearVariant": {
22 "id": "string",
23 "displayId": "Euro"
24 },
25 "profileId": 10000001,
26 "objectHierarchy": {
27 "erpSystemFilterType": {
28 "name": "ALL",
29 "captionKey": "enum.filterType.all",
30 "caption": "All"
31 },
32 "leaseAreaFilterType": {
33 "name": "ALL",
34 "captionKey": "enum.filterType.all",
35 "caption": "All"
36 },
37 "businessUnitFilterType": {
38 "name": "ALL",
39 "captionKey": "enum.filterType.all",
40 "caption": "All"
41 },
42 "companyFilterType": {
43 "name": "ALL",
44 "captionKey": "enum.filterType.all",
45 "caption": "All"
46 },
47 "leaseDepartmentFilterType": {
48 "name": "ALL",
49 "captionKey": "enum.filterType.all",
50 "caption": "All"
51 },
52 "leaseGroupFilterType": {
53 "name": "ALL",
54 "captionKey": "enum.filterType.all",
55 "caption": "All"
56 },
57 "costCenterFilterType": {
58 "name": "ALL",
59 "captionKey": "enum.filterType.all",
60 "caption": "All"
61 },
62 "profitCenterFilterType": {
63 "name": "ALL",
64 "captionKey": "enum.filterType.all",
65 "caption": "All"
66 },
67 "wbsFilterType": {
68 "name": "ALL",
69 "captionKey": "enum.filterType.all",
70 "caption": "All"
71 },
72 "objectBaseIds": []
73 },
74 "new": false
75 },
76 "migratedFilterType": {
77 "name": "ALL",
78 "captionKey": "enum.migratedFilterType.all",
79 "caption": "All"
80 }
81}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 76,
3 "totalPages": 1,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 76,
17 "size": 100,
18 "content": [
19 {
20 "id": 10000003,
21 "displayId": "LC-100000002",
22 "principalPositionType": {
23 "name": "LESSEE",
24 "captionKey": "enum.principalpositiontype.lessee",
25 "caption": "Lessee"
26 },
27 "name": "patched lease component",
28 "description": "string",
29 "bulkAsset": false,
30 "rouStartDate": "2019-08-24",
31 "rouEndDate": "2019-08-24",
32 "approverComment": "string",
33 "fairMarketValue": 0,
34 "allocationNumber": "string",
35 "guaranteedResidualValue": 0,
36 "unitDistributions": [],
37 "revision": {
38 "id": 10000003,
39 "displayId": "0461332847-20250827-142605",
40 "name": "Inception",
41 "inception": true,
42 "revisionType": "ACTIVE",
43 "state": "LC_DEFINE",
44 "approvedBy": "string",
45 "approvedAt": "2019-08-24",
46 "parentRevisionId": 0,
47 "approverComment": "string",
48 "leaseComponentId": 10000003,
49 "leaseComponentDisplayId": "LC-100000002",
50 "leaseComponentName": "Test2 lease component",
51 "contractRevisionId": 10000001,
52 "contractRevisionDisplayId": "1617141777-20250724-115809",
53 "numberRangeIdentifierValue": "string",
54 "numberRangeIdentifierType": {
55 "name": "COMPANY_CODE"
56 },
57 "numberRangeType": {
58 "name": "CONTRACT"
59 },
60 "allowsSystemGenerateNewId": false
61 },
62 "internalAssetClass": {
63 "id": 10000001,
64 "displayId": "IAC-001",
65 "status": {
66 "name": "ACTIVE",
67 "captionKey": "enum.objectStatus.active",
68 "active": true,
69 "caption": "Active"
70 },
71 "name": "Machinery and Equipment",
72 "assetClassType": "PROPERTY",
73 "infiniteUsefulLife": false
74 },
75 "unitOfMeasure": {
76 "id": 10000198,
77 "displayId": "MPA",
78 "status": {
79 "name": "ACTIVE",
80 "captionKey": "enum.objectStatus.active",
81 "active": true,
82 "caption": "Active"
83 },
84 "name": "Megapascal",
85 "erpSystemId": 10000001
86 },
87 "notifications": [],
88 "spreadingFrequency": "NONE",
89 "contractId": 10000001,
90 "contractDisplayId": "CT-100000000",
91 "companyCodeId": 10000002,
92 "companyCodeDisplayId": "string",
93 "userDeterminedLeaseType": {
94 "name": "LEASE_CONTRACT_FIX",
95 "captionKey": "enum.leaseType.fix",
96 "principalPositionType": "LESSEE",
97 "caption": "Fixed Lease Contract"
98 },
99 "endOfTermDate": "2019-08-24",
100 "endOfTermPeriod": "string",
101 "allowsSystemGenerateNewId": false,
102 "transferInfo": {
103 "transferredFromDisplayId": "CTR-00012",
104 "transferredFromRevisionId": 20000001,
105 "transferredToDisplayId": "CTR-00015",
106 "transferredToRevisionId": 20000005
107 },
108 "numberRangeIdentifierValue": "string",
109 "numberRangeIdentifierType": {
110 "name": "COMPANY_CODE"
111 },
112 "numberRangeType": {
113 "name": "CONTRACT"
114 },
115 "type": "LESSEE"
116 }
117 ],
118 "number": 0,
119 "sort": {
120 "unsorted": false,
121 "sorted": true,
122 "empty": false
123 },
124 "first": true,
125 "last": true,
126 "empty": false
127}
Get Contracts For Activity Analysis Report JobΒΆ
HTTP Request
POST /api/v1/activity_analysis_reports/jobs/contracts
π Description: Submits a request to generate activity analysis reports for lease contracts, facilitating the assessment of financial obligations and accounting entries within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Page number (0-indexed) |
size |
query |
integer |
false |
Number of items per page |
sort |
query |
array[string] |
false |
Sorting criteria in format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
body |
body |
false |
Request body containing the lease contract details and associated financial obligations necessary for generating activity analysis reports within the Nakisa Lease Accounting Suite. |
Default ValuesΒΆ
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
Parameter ConstraintsΒΆ
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1, Max: 100 |
Body Parameters
1{
2 "searchTerm": "sample_searchTerm",
3 "profile": {
4 "persistable": false,
5 "id": 10000001,
6 "createdBy": "john.doe@example.com",
7 "createdAt": "2025-01-01T10:00:00Z",
8 "modifiedBy": "john.doe@example.com",
9 "modifiedAt": "2025-01-01T10:00:00Z",
10 "name": "Sample Name",
11 "principalPositionType": {
12 "name": "LESSEE",
13 "captionKey": "enum.principalpositiontype.lessee",
14 "caption": "Lessee"
15 },
16 "calendarType": {
17 "name": "_360",
18 "captionKey": "enum.calendarType.360",
19 "caption": "360 Convention"
20 },
21 "fiscalYearVariant": {
22 "id": "string",
23 "displayId": "Euro"
24 },
25 "profileId": 10000001,
26 "objectHierarchy": {
27 "erpSystemFilterType": {
28 "name": "ALL",
29 "captionKey": "enum.filterType.all",
30 "caption": "All"
31 },
32 "leaseAreaFilterType": {
33 "name": "ALL",
34 "captionKey": "enum.filterType.all",
35 "caption": "All"
36 },
37 "businessUnitFilterType": {
38 "name": "ALL",
39 "captionKey": "enum.filterType.all",
40 "caption": "All"
41 },
42 "companyFilterType": {
43 "name": "ALL",
44 "captionKey": "enum.filterType.all",
45 "caption": "All"
46 },
47 "leaseDepartmentFilterType": {
48 "name": "ALL",
49 "captionKey": "enum.filterType.all",
50 "caption": "All"
51 },
52 "leaseGroupFilterType": {
53 "name": "ALL",
54 "captionKey": "enum.filterType.all",
55 "caption": "All"
56 },
57 "costCenterFilterType": {
58 "name": "ALL",
59 "captionKey": "enum.filterType.all",
60 "caption": "All"
61 },
62 "profitCenterFilterType": {
63 "name": "ALL",
64 "captionKey": "enum.filterType.all",
65 "caption": "All"
66 },
67 "wbsFilterType": {
68 "name": "ALL",
69 "captionKey": "enum.filterType.all",
70 "caption": "All"
71 },
72 "objectBaseIds": []
73 },
74 "new": false
75 },
76 "migratedFilterType": {
77 "name": "ALL",
78 "captionKey": "enum.migratedFilterType.all",
79 "caption": "All"
80 }
81}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 76,
3 "totalPages": 1,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 76,
17 "size": 100,
18 "content": [
19 {
20 "id": 10000018,
21 "displayId": "CT-100001000",
22 "name": "Testtt Contract",
23 "principalPositionType": {
24 "name": "LESSEE",
25 "captionKey": "enum.principalpositiontype.lessee",
26 "caption": "Lessee"
27 },
28 "validFrom": "2019-08-24",
29 "validTo": "2019-08-24",
30 "amendmentDate": "2019-08-24",
31 "approverComment": "string",
32 "contractPhase": "INITIAL",
33 "dataCreationInfo": {
34 "id": 10000001,
35 "idGenerationType": {
36 "name": "AUTO",
37 "captionKey": "enum.idGenerationType.auto",
38 "caption": "Auto"
39 },
40 "source": "sample_source",
41 "type": {
42 "name": "MIGRATION",
43 "captionKey": "enum.dataType.migration",
44 "caption": "Migration"
45 },
46 "startDateTime": "2025-01-01T10:00:00Z",
47 "endDateTime": "2025-01-01T10:00:00Z"
48 },
49 "leaseType": {
50 "name": "LEASE_CONTRACT_FIX",
51 "captionKey": "enum.leaseType.fix",
52 "principalPositionType": "LESSEE",
53 "caption": "Fixed Lease Contract"
54 },
55 "revision": {
56 "id": 10000008,
57 "displayId": "CR-0001",
58 "name": "Initial Revision",
59 "inception": "2019-08-24",
60 "revisionType": "ACTIVE",
61 "state": "LC_DEFINE",
62 "approvedBy": "manager.user@company.com",
63 "approvedAt": "2019-08-24T14:15:22Z",
64 "parentRevisionId": 10000010,
65 "approverComment": "Approved with changes.",
66 "contractId": 20000001,
67 "contractDisplayId": "C-0001",
68 "contractName": "Office Lease Contract",
69 "principalPositionType": {
70 "name": "LESSEE",
71 "captionKey": "enum.principalpositiontype.lessee",
72 "caption": "Lessee"
73 },
74 "mlaId": 30000001,
75 "companyId": 40000001,
76 "description": "Revision to adjust payment terms.",
77 "externalReference": "EXT-REF-001",
78 "internalReference": "INT-REF-001",
79 "formOfLease": "FULL",
80 "jointVentureLeaseType": "GROSS_LEASE",
81 "businessPlace": "New York Office",
82 "tradingPartner": {
83 "id": 50000001,
84 "displayId": "TP-0001",
85 "status": {
86 "name": "ACTIVE",
87 "captionKey": "enum.objectStatus.active",
88 "active": true,
89 "caption": "Active"
90 },
91 "name": "ABC Real Estate Partners",
92 "erpSystemId": 60000001,
93 "erpSystemDisplayId": "ERP-SYS-01"
94 },
95 "contractCategoryGroup": {
96 "id": 10000001,
97 "displayId": "sample_displayId",
98 "status": {
99 "name": "ACTIVE",
100 "captionKey": "enum.objectStatus.active",
101 "active": true,
102 "caption": "Active"
103 },
104 "name": "Sample Name"
105 },
106 "contractGroup1": {
107 "id": 400001,
108 "displayId": "CG1-01",
109 "status": {
110 "name": "ACTIVE",
111 "captionKey": "enum.objectStatus.active",
112 "active": true,
113 "caption": "Active"
114 },
115 "name": "Real Estate Contracts"
116 },
117 "contractGroup2": {
118 "id": 500001,
119 "displayId": "CG2-01",
120 "status": {
121 "name": "ACTIVE",
122 "captionKey": "enum.objectStatus.active",
123 "active": true,
124 "caption": "Active"
125 },
126 "name": "Equipment Leasing Contracts"
127 },
128 "group3": "Group3-Value",
129 "group4": "Group4-Value",
130 "signingPerson": "John Doe",
131 "placeOfSignature": "Montreal, Canada",
132 "dateOfSignature": "2019-08-24T14:15:22Z",
133 "leaseType": "LEASE_CONTRACT_FIXED_PART_A",
134 "numberRangeIdentifierValue": "0001",
135 "numberRangeIdentifierType": {
136 "name": "COMPANY_CODE"
137 },
138 "numberRangeType": {
139 "name": "CONTRACT"
140 },
141 "allowsSystemGenerateNewId": true
142 },
143 "currency": {
144 "id": 840,
145 "displayId": "USD",
146 "status": {
147 "name": "ACTIVE",
148 "captionKey": "enum.objectStatus.active",
149 "active": true,
150 "caption": "Active"
151 },
152 "name": "United States Dollar",
153 "decimalPoints": 2
154 },
155 "companyCurrency": {
156 "id": 840,
157 "displayId": "USD",
158 "status": {
159 "name": "ACTIVE",
160 "captionKey": "enum.objectStatus.active",
161 "active": true,
162 "caption": "Active"
163 },
164 "name": "United States Dollar",
165 "decimalPoints": 2
166 },
167 "indexedCurrency": true,
168 "assetValueCurrencyType": "CONTRACT_CURRENCY",
169 "currencyLocked": true,
170 "leaseArea": {
171 "id": 10000001,
172 "displayId": "0001",
173 "status": {
174 "name": "ACTIVE",
175 "captionKey": "enum.objectStatus.active",
176 "active": true,
177 "caption": "Active"
178 },
179 "name": "Global Lease Area"
180 },
181 "businessUnit": {
182 "id": 10000001,
183 "displayId": "BU0001",
184 "status": {
185 "name": "ACTIVE",
186 "captionKey": "enum.objectStatus.active",
187 "active": true,
188 "caption": "Active"
189 },
190 "name": "North America Business Unit"
191 },
192 "businessUnitLocked": true,
193 "companyCode": {
194 "id": 10000006,
195 "displayId": "1005",
196 "status": {
197 "name": "ACTIVE",
198 "captionKey": "enum.objectStatus.active",
199 "active": true,
200 "caption": "Active"
201 },
202 "erpSystemId": 10000001,
203 "erpSystemDisplayId": "FINQ8S-300",
204 "countryId": 10000095,
205 "countryDisplayId": "CA",
206 "name": "string",
207 "postingPeriodVariantId": 0,
208 "fiscalVariantId": 0
209 },
210 "companyCodeLocked": true,
211 "department": {
212 "id": 300001,
213 "displayId": "DEP-01",
214 "status": {
215 "name": "ACTIVE",
216 "captionKey": "enum.objectStatus.active",
217 "active": true,
218 "caption": "Active"
219 },
220 "name": "Finance Department"
221 },
222 "departmentLocked": true,
223 "leaseGroup": {
224 "id": 60000001,
225 "displayId": "LG-001",
226 "status": {
227 "name": "ACTIVE",
228 "captionKey": "enum.objectStatus.active",
229 "active": true,
230 "caption": "Active"
231 },
232 "name": "Global Lease Group"
233 },
234 "leaseGroupLocked": true,
235 "subleasingInternalAssetClass": {
236 "id": 10000001,
237 "displayId": "IAC-001",
238 "status": {
239 "name": "ACTIVE",
240 "captionKey": "enum.objectStatus.active",
241 "active": true,
242 "caption": "Active"
243 },
244 "name": "Machinery and Equipment",
245 "assetClassType": "PROPERTY",
246 "infiniteUsefulLife": false
247 },
248 "contractGroup1": {
249 "id": 400001,
250 "displayId": "CG1-01",
251 "status": {
252 "name": "ACTIVE",
253 "captionKey": "enum.objectStatus.active",
254 "active": true,
255 "caption": "Active"
256 },
257 "name": "Real Estate Contracts"
258 },
259 "contractGroup2": {
260 "id": 500001,
261 "displayId": "CG2-01",
262 "status": {
263 "name": "ACTIVE",
264 "captionKey": "enum.objectStatus.active",
265 "active": true,
266 "caption": "Active"
267 },
268 "name": "Equipment Leasing Contracts"
269 },
270 "subleasing": false,
271 "subleasingContractRevisionInfo": {
272 "id": 50000001,
273 "contractId": 40000001,
274 "contractDisplayId": "CTR-0001",
275 "contractName": "Sublease Agreement for Office Space"
276 },
277 "subleasingLeaseComponentRevisionInfo": {
278 "id": 61000001,
279 "leaseComponentId": 80000001,
280 "leaseComponentDisplayId": "LC-0001",
281 "leaseComponentName": "Vehicle Lease Component"
282 },
283 "subleasingActivationGroupRevisionInfo": {
284 "id": 60000001,
285 "activationGroupId": 70000001,
286 "activationGroupDisplayId": "AG-001",
287 "activationGroupName": "Office Equipment Activation Group"
288 },
289 "notifications": [
290 {
291 "id": 10000001,
292 "topic": {
293 "enCaption": "Lease Component Updated",
294 "frCaption": "Composant de bail mis Γ jour",
295 "name": "LEASE_COMPONENT_UPDATED",
296 "priority": "HIGH"
297 },
298 "username": "super.admin@nakisa.com",
299 "contractId": 10000001,
300 "contractDisplayId": "CT-100000000",
301 "targetId": "CT-100000000",
302 "targetType": "CONTRACT"
303 }
304 ],
305 "masterAgreementId": 10000001,
306 "masterAgreementDisplayId": "string",
307 "allowsSystemGenerateNewId": true,
308 "transferInfo": {
309 "transferredFromDisplayId": "CTR-00012",
310 "transferredFromRevisionId": 20000001,
311 "transferredToDisplayId": "CTR-00015",
312 "transferredToRevisionId": 20000005
313 },
314 "numberRangeIdentifierValue": "",
315 "numberRangeIdentifierType": {
316 "name": "COMPANY_CODE"
317 },
318 "numberRangeType": {
319 "name": "CONTRACT"
320 }
321 }
322 ],
323 "number": 0,
324 "sort": {
325 "unsorted": false,
326 "sorted": true,
327 "empty": false
328 },
329 "first": true,
330 "last": true,
331 "empty": false
332}
Cancel Activity Analysis Report JobΒΆ
HTTP Request
POST /api/v1/activity_analysis_reports/jobs/cancel/{id}
π Description: Cancels a specified activity analysis report job by its unique identifier, ensuring that any associated lease, contract, or financial obligation processes are halted in the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Get Activation Groups For Activity Analysis Report JobΒΆ
HTTP Request
POST /api/v1/activity_analysis_reports/jobs/activation-groups
π Description: Creates activation groups for activity analysis reports within the Nakisa Lease Accounting Suite, facilitating the management of leases, contracts, and associated financial obligations.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Page number (0-indexed) |
size |
query |
integer |
false |
Number of items per page |
sort |
query |
array[string] |
false |
Sorting criteria in format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
body |
body |
false |
Request body containing the activation group details, including lease and contract information necessary for generating comprehensive financial obligation and accounting entry reports. |
Default ValuesΒΆ
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
Parameter ConstraintsΒΆ
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1, Max: 100 |
Body Parameters
1{
2 "searchTerm": "sample_searchTerm",
3 "profile": {
4 "persistable": false,
5 "id": 10000001,
6 "createdBy": "john.doe@example.com",
7 "createdAt": "2025-01-01T10:00:00Z",
8 "modifiedBy": "john.doe@example.com",
9 "modifiedAt": "2025-01-01T10:00:00Z",
10 "name": "Sample Name",
11 "principalPositionType": {
12 "name": "LESSEE",
13 "captionKey": "enum.principalpositiontype.lessee",
14 "caption": "Lessee"
15 },
16 "calendarType": {
17 "name": "_360",
18 "captionKey": "enum.calendarType.360",
19 "caption": "360 Convention"
20 },
21 "fiscalYearVariant": {
22 "id": "string",
23 "displayId": "Euro"
24 },
25 "profileId": 10000001,
26 "objectHierarchy": {
27 "erpSystemFilterType": {
28 "name": "ALL",
29 "captionKey": "enum.filterType.all",
30 "caption": "All"
31 },
32 "leaseAreaFilterType": {
33 "name": "ALL",
34 "captionKey": "enum.filterType.all",
35 "caption": "All"
36 },
37 "businessUnitFilterType": {
38 "name": "ALL",
39 "captionKey": "enum.filterType.all",
40 "caption": "All"
41 },
42 "companyFilterType": {
43 "name": "ALL",
44 "captionKey": "enum.filterType.all",
45 "caption": "All"
46 },
47 "leaseDepartmentFilterType": {
48 "name": "ALL",
49 "captionKey": "enum.filterType.all",
50 "caption": "All"
51 },
52 "leaseGroupFilterType": {
53 "name": "ALL",
54 "captionKey": "enum.filterType.all",
55 "caption": "All"
56 },
57 "costCenterFilterType": {
58 "name": "ALL",
59 "captionKey": "enum.filterType.all",
60 "caption": "All"
61 },
62 "profitCenterFilterType": {
63 "name": "ALL",
64 "captionKey": "enum.filterType.all",
65 "caption": "All"
66 },
67 "wbsFilterType": {
68 "name": "ALL",
69 "captionKey": "enum.filterType.all",
70 "caption": "All"
71 },
72 "objectBaseIds": []
73 },
74 "new": false
75 },
76 "migratedFilterType": {
77 "name": "ALL",
78 "captionKey": "enum.migratedFilterType.all",
79 "caption": "All"
80 }
81}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 76,
3 "totalPages": 1,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 76,
17 "size": 100,
18 "content": [
19 {
20 "id": 10000001,
21 "displayId": "AG-100000000",
22 "principalPositionType": {
23 "name": "LESSEE",
24 "captionKey": "enum.principalpositiontype.lessee",
25 "caption": "Lessee"
26 },
27 "name": "Test2",
28 "description": "test2",
29 "approverComment": "Approved after review",
30 "snapshotData": {
31 "isParallelCurrencyEnabled": true,
32 "isCostCenterAllocationEnabled": false,
33 "useSpotRateForGroupCurrency": true,
34 "usePostingOrDocumentDateForCurrency": true,
35 "exchangeRateTypes": [
36 {
37 "currencyDefinitionType": "CONTRACT_CURRENCY",
38 "sourceCurrencyType": "COMPANY_CURRENCY",
39 "translationDateType": "POSTING_DATE",
40 "targetCurrency": {
41 "id": "string",
42 "displayId": "US Dollar",
43 "decimalPoints": 2
44 },
45 "referenceCurrency": {
46 "id": "string",
47 "displayId": "Euro"
48 },
49 "currencyType": "GROUP_CURRENCY",
50 "exchangeRateType": "STANDARD"
51 }
52 ]
53 },
54 "revision": {
55 "id": 10000001,
56 "displayId": "0374999413-20250903-161147",
57 "name": "Inception",
58 "inception": true,
59 "revisionType": "REVISION",
60 "state": "MLA_DEFINE",
61 "approvedBy": "approver.admin@nakisa.com",
62 "approvedAt": "2019-08-24T14:15:22Z",
63 "parentRevisionId": 10000000,
64 "approverComment": "Approved after financial validation.",
65 "rouStartDate": "2025-08-01",
66 "rouEndDate": "2025-08-20",
67 "activationGroupModification": {
68 "modificationDate": "2025-08-15",
69 "terminationType": "CASUALTY",
70 "terminationDate": {
71 "timing": "START_OF_DAY",
72 "year": 2025,
73 "monthValue": 9,
74 "dayOfMonth": 4,
75 "leapYear": false,
76 "month": "SEPTEMBER",
77 "dayOfWeek": "THURSDAY",
78 "dayOfYear": 247
79 },
80 "useManualFmvValue": true,
81 "useManualAssetValues": false,
82 "enforceNonLeaseOnIndexation": false,
83 "applyIndexationLease": true,
84 "applyIndexationNonLease": false,
85 "indexationTreatmentType": "DEFAULT",
86 "indexationStartDate": "2025-09-01",
87 "indexationDateType": "USER_DEFINED",
88 "indexationStartDateNonLease": "2025-09-10",
89 "indexationDateTypeNonLease": "USER_DEFINED",
90 "modificationReasons": [
91 "CONTRACT_RATE_CHANGE",
92 "INDEXATION"
93 ],
94 "modificationPerClassificationList": [
95 {
96 "accountingStandardId": 1001,
97 "classificationType": "NON_LEASE",
98 "accountingStandardType": "IFRS",
99 "impairmentAmount": 2500.5,
100 "recoverableAmount": 2000,
101 "decreaseInAsset": 1500,
102 "decreaseInTerm": 6
103 }
104 ],
105 "massIndexationTaskId": 987654
106 },
107 "activationGroupId": 10000001,
108 "activationGroupDisplayId": "AG-100000000",
109 "activationGroupName": "Test2",
110 "leaseComponentRevisionId": 10000007,
111 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
112 "lastLeaseComponentRevisionId": 10000006,
113 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
114 "clonedFromRevisionId": 10000002,
115 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
116 "lockReason": "PENDING_TERMINATION",
117 "infiniteUsefulLife": false,
118 "transferOfOwnership": false,
119 "specializedAsset": false,
120 "fairMarketValue": 1,
121 "residualValue": 1,
122 "endOfTermIntention": "TO_BE_DETERMINED",
123 "endOfTermDate": "2025-08-11",
124 "endOfTermPeriod": 9,
125 "activationDocumentDate": "2019-08-24",
126 "activationPostingDate": "2019-08-24",
127 "closingDocumentDate": "2019-08-24",
128 "closingPostingDate": "2019-08-24",
129 "numberRangeIdentifierValue": "1000",
130 "numberRangeIdentifierType": {
131 "name": "COMPANY_CODE"
132 },
133 "numberRangeType": {
134 "name": "CONTRACT"
135 },
136 "allowsSystemGenerateNewId": false
137 },
138 "leaseComponentId": 10000007,
139 "leaseComponentDisplayId": "LC-100000200",
140 "companyCodeId": 10000002,
141 "companyCodeDisplayId": "1000",
142 "splittedFromActivationGroupRevisionId": {
143 "id": 10000001,
144 "displayId": "0374999413-20250903-161147",
145 "name": "Inception",
146 "inception": true,
147 "revisionType": "REVISION",
148 "state": "MLA_DEFINE",
149 "approvedBy": "approver.admin@nakisa.com",
150 "approvedAt": "2019-08-24T14:15:22Z",
151 "parentRevisionId": 10000000,
152 "approverComment": "Approved after financial validation.",
153 "rouStartDate": "2025-08-01",
154 "rouEndDate": "2025-08-20",
155 "activationGroupModification": {
156 "modificationDate": "2025-08-15",
157 "terminationType": "CASUALTY",
158 "terminationDate": {
159 "timing": "START_OF_DAY",
160 "year": 2025,
161 "monthValue": 9,
162 "dayOfMonth": 4,
163 "leapYear": false,
164 "month": "SEPTEMBER",
165 "dayOfWeek": "THURSDAY",
166 "dayOfYear": 247
167 },
168 "useManualFmvValue": true,
169 "useManualAssetValues": false,
170 "enforceNonLeaseOnIndexation": false,
171 "applyIndexationLease": true,
172 "applyIndexationNonLease": false,
173 "indexationTreatmentType": "DEFAULT",
174 "indexationStartDate": "2025-09-01",
175 "indexationDateType": "USER_DEFINED",
176 "indexationStartDateNonLease": "2025-09-10",
177 "indexationDateTypeNonLease": "USER_DEFINED",
178 "modificationReasons": [
179 "CONTRACT_RATE_CHANGE",
180 "INDEXATION"
181 ],
182 "modificationPerClassificationList": [
183 {
184 "accountingStandardId": 1001,
185 "classificationType": "NON_LEASE",
186 "accountingStandardType": "IFRS",
187 "impairmentAmount": 2500.5,
188 "recoverableAmount": 2000,
189 "decreaseInAsset": 1500,
190 "decreaseInTerm": 6
191 }
192 ],
193 "massIndexationTaskId": 987654
194 },
195 "activationGroupId": 10000001,
196 "activationGroupDisplayId": "AG-100000000",
197 "activationGroupName": "Test2",
198 "leaseComponentRevisionId": 10000007,
199 "leaseComponentRevisionDisplayId": "0738001403-20250828-113111",
200 "lastLeaseComponentRevisionId": 10000006,
201 "lastLeaseComponentRevisionDisplayId": "0738001403-20250828-113000",
202 "clonedFromRevisionId": 10000002,
203 "clonedFromRevisionDisplayId": "0374999413-20250820-101200",
204 "lockReason": "PENDING_TERMINATION",
205 "infiniteUsefulLife": false,
206 "transferOfOwnership": false,
207 "specializedAsset": false,
208 "fairMarketValue": 1,
209 "residualValue": 1,
210 "endOfTermIntention": "TO_BE_DETERMINED",
211 "endOfTermDate": "2025-08-11",
212 "endOfTermPeriod": 9,
213 "activationDocumentDate": "2019-08-24",
214 "activationPostingDate": "2019-08-24",
215 "closingDocumentDate": "2019-08-24",
216 "closingPostingDate": "2019-08-24",
217 "numberRangeIdentifierValue": "1000",
218 "numberRangeIdentifierType": {
219 "name": "COMPANY_CODE"
220 },
221 "numberRangeType": {
222 "name": "CONTRACT"
223 },
224 "allowsSystemGenerateNewId": false
225 },
226 "notifications": [
227 {
228 "id": 100045,
229 "topic": {
230 "enCaption": "Lease Component Updated",
231 "frCaption": "Composant de bail mis Γ jour",
232 "name": "LEASE_COMPONENT_UPDATED",
233 "priority": "HIGH"
234 },
235 "username": "jdoe",
236 "activationGroupId": 20000123,
237 "activationGroupDisplayId": "AG-100045",
238 "targetId": "jdoe@example.com",
239 "targetType": "USER"
240 }
241 ],
242 "transferInfo": {
243 "transferredFromDisplayId": "CTR-00012",
244 "transferredFromRevisionId": 20000001,
245 "transferredToDisplayId": "CTR-00015",
246 "transferredToRevisionId": 20000005
247 },
248 "numberRangeIdentifierValue": "1000",
249 "numberRangeIdentifierType": {
250 "name": "COMPANY_CODE"
251 },
252 "numberRangeType": {
253 "name": "CONTRACT"
254 },
255 "allowsSystemGenerateNewId": false
256 }
257 ],
258 "number": 0,
259 "sort": {
260 "unsorted": false,
261 "sorted": true,
262 "empty": false
263 },
264 "first": true,
265 "last": true,
266 "empty": false
267}
List All Activity Analysis Report JobsΒΆ
HTTP Request
GET /api/v1/activity_analysis_reports/jobs
π Description: Retrieves a list of activity analysis report jobs related to lease and contract management, enabling users to monitor and manage financial obligations and accounting entries efficiently.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results of the activity analysis reports jobs should be returned in a paginated format, facilitating efficient data retrieval for lease and contract management within the Nakisa Lease Accounting Suite. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 10000001,
3 "totalPages": 100,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 100,
17 "size": 100,
18 "content": [],
19 "number": 100,
20 "sort": {
21 "unsorted": false,
22 "sorted": true,
23 "empty": false
24 },
25 "first": false,
26 "last": false,
27 "empty": false
28}
Create New Activity Analysis Report JobΒΆ
HTTP Request
POST /api/v1/activity_analysis_reports/jobs
π Description: Creates a new job for generating activity analysis reports within the Nakisa Lease Accounting Suite, facilitating the assessment of leases, contracts, and financial obligations for accurate accounting entries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing the details of lease and contract data necessary for generating financial obligation and accounting entry analysis reports. |
Body Parameters
1[
2 {
3 "id": 10000001,
4 "taskCount": 100,
5 "failedTaskCount": 100,
6 "doneTaskCount": 100,
7 "inProgressTaskCount": 100,
8 "cancelledTaskCount": 100,
9 "errorMessage": "sample_errorMessage",
10 "executor": {
11 "name": "MANUAL",
12 "captionKey": "enum.batchJobExecutor.manual",
13 "caption": "Manual"
14 },
15 "scheduleJobId": 10000001,
16 "batchSize": 1000,
17 "totalObjectCount": 100,
18 "profileId": 10000001,
19 "readOnly": false,
20 "status": {
21 "name": "PROCESSING",
22 "captionKey": "enum.batchJobStatus.processing",
23 "caption": "Processing"
24 },
25 "fileStorageId": "sample_fileStorageId",
26 "generatingReport": false,
27 "startedGeneratingReportAt": "2025-01-01T10:00:00Z",
28 "finishedGeneratingReportAt": "2025-01-01T10:00:00Z",
29 "reportType": {
30 "name": "BY_AMOUNT",
31 "captionKey": "enum.byType.byAmount",
32 "caption": "By Amount"
33 },
34 "input": {
35 "id": 10000001,
36 "activationGroupStatus": {
37 "name": "AG_ACTIVE",
38 "captionKey": "enum.entityStatus.agActive",
39 "caption": "Active"
40 },
41 "internalAssetClass": {
42 "id": 10000001,
43 "displayId": "IAC-001",
44 "status": {
45 "name": "ACTIVE",
46 "captionKey": "enum.objectStatus.active",
47 "active": true,
48 "caption": "Active"
49 },
50 "name": "Machinery and Equipment",
51 "assetClassType": "PROPERTY",
52 "infiniteUsefulLife": false
53 },
54 "fromYear": 100,
55 "fromPeriod": {
56 "id": 10000001,
57 "displayId": "FP-2024-Q1",
58 "status": {
59 "name": "ACTIVE",
60 "captionKey": "enum.objectStatus.active",
61 "active": true,
62 "caption": "Active"
63 },
64 "day": 15,
65 "year": 2024,
66 "month": 3,
67 "postingPeriod": 3,
68 "yearShift": 0
69 },
70 "toYear": 100,
71 "toPeriod": {
72 "id": 10000001,
73 "displayId": "FP-2024-Q1",
74 "status": {
75 "name": "ACTIVE",
76 "captionKey": "enum.objectStatus.active",
77 "active": true,
78 "caption": "Active"
79 },
80 "day": 15,
81 "year": 2024,
82 "month": 3,
83 "postingPeriod": 3,
84 "yearShift": 0
85 },
86 "fromDate": "2025-01-01",
87 "toDate": "2025-01-01",
88 "fromDateType": "USER_DEFINED",
89 "toDateType": "USER_DEFINED",
90 "accountingStandardType": {
91 "name": "GAAP",
92 "captionKey": "enum.accountingStandard.gaap",
93 "caption": "GAAP"
94 },
95 "leaseClassifications": {
96 "name": "FINANCE",
97 "captionKey": "enum.leaseClassificationType.finance",
98 "caption": "Finance Lease"
99 },
100 "leaseType": {
101 "name": "LEASE_CONTRACT_FIX",
102 "captionKey": "enum.leaseType.fix",
103 "principalPositionType": "LESSEE",
104 "caption": "Fixed Lease Contract"
105 },
106 "partner": {
107 "id": 10000012,
108 "displayId": "0000100003",
109 "status": {
110 "name": "ACTIVE",
111 "captionKey": "enum.objectStatus.active",
112 "active": true,
113 "caption": "Active"
114 },
115 "name": "TEST VENDOR GB",
116 "erpSystemDisplayId": "FINQ8S-300"
117 },
118 "listObjectType": {
119 "name": "CONTRACT",
120 "captionKey": "enum.listObjectType.contract",
121 "caption": "Contract"
122 },
123 "objectsList": [],
124 "migratedFilterType": {
125 "name": "ALL",
126 "captionKey": "enum.migratedFilterType.all",
127 "caption": "All"
128 }
129 },
130 "filter": {
131 "id": 10000001,
132 "profileId": 10000001,
133 "name": "Sample Name",
134 "principalPositionType": {
135 "name": "LESSEE",
136 "captionKey": "enum.principalpositiontype.lessee",
137 "caption": "Lessee"
138 },
139 "calendarType": {
140 "name": "_360",
141 "captionKey": "enum.calendarType.360",
142 "caption": "360 Convention"
143 },
144 "fiscalYearVariant": {
145 "id": "string",
146 "displayId": "Euro"
147 },
148 "objectHierarchy": {
149 "erpSystemFilterType": {
150 "name": "ALL",
151 "captionKey": "enum.filterType.all",
152 "caption": "All"
153 },
154 "erpSystems": [],
155 "leaseAreaFilterType": {
156 "name": "ALL",
157 "captionKey": "enum.filterType.all",
158 "caption": "All"
159 },
160 "leaseAreas": [],
161 "businessUnitFilterType": {
162 "name": "ALL",
163 "captionKey": "enum.filterType.all",
164 "caption": "All"
165 },
166 "businessUnits": [],
167 "companyFilterType": {
168 "name": "ALL",
169 "captionKey": "enum.filterType.all",
170 "caption": "All"
171 },
172 "companies": [],
173 "leaseDepartmentFilterType": {
174 "name": "ALL",
175 "captionKey": "enum.filterType.all",
176 "caption": "All"
177 },
178 "leaseDepartments": [],
179 "leaseGroupFilterType": {
180 "name": "ALL",
181 "captionKey": "enum.filterType.all",
182 "caption": "All"
183 },
184 "leaseGroups": [],
185 "costCenterFilterType": {
186 "name": "ALL",
187 "captionKey": "enum.filterType.all",
188 "caption": "All"
189 },
190 "costCenters": [],
191 "profitCenterFilterType": {
192 "name": "ALL",
193 "captionKey": "enum.filterType.all",
194 "caption": "All"
195 },
196 "profitCenters": [],
197 "wbsFilterType": {
198 "name": "ALL",
199 "captionKey": "enum.filterType.all",
200 "caption": "All"
201 },
202 "wbses": []
203 }
204 },
205 "tasks": [],
206 "docStoreId": 10000001
207 }
208]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": {
3 "name": "OK",
4 "captionKey": "enum.responseCode.ok",
5 "caption": "OK"
6 },
7 "errors": {
8 "all": []
9 },
10 "object": []
11}
List Object Types For Activity Analysis Report JobΒΆ
HTTP Request
GET /api/v1/activity_analysis_reports/jobs/list-object-types
π Description: Retrieves a list of object types related to lease, contract, financial obligation, and accounting entry within the Nakisa Lease Accounting Suite, facilitating comprehensive activity analysis reporting.
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 "string"
3]
Response Schema
Generate Activity Analysis Report Job ReportΒΆ
HTTP Request
GET /api/v1/activity_analysis_reports/jobs/generate_report/{jobId}
π Description: Generates a detailed activity analysis report for a specified job identified by {jobId}, providing insights into lease contracts and financial obligations relevant to accounting entries within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
jobId |
path |
integer |
true |
Unique identifier for the job |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Download Activity Analysis Report Job ReportΒΆ
HTTP Request
GET /api/v1/activity_analysis_reports/jobs/download_report/{jobId}
π Description: Downloads the activity analysis report associated with the specified job ID, providing insights into lease contracts and financial obligations for accurate accounting entries within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
jobId |
path |
integer |
true |
Unique identifier for the job |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |